Bug 241445 - devel/kronosnet: Update to 1.13 (Builds against openssl11 and libressl)
Summary: devel/kronosnet: Update to 1.13 (Builds against openssl11 and libressl)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vinícius Zavam
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-23 20:41 UTC by Vinícius Zavam
Modified: 2019-11-29 14:25 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (dpejesh)
koobs: merge-quarterly?


Attachments
[PATCH] devel/kronosnet: update 1.3 to 1.13, builds against openssl11 and libressl (13.05 KB, patch)
2019-10-23 20:41 UTC, Vinícius Zavam
no flags Details | Diff
[PATCH] devel/kronosnet: update 1.3 to 1.13, builds against openssl11 and libressl (11.54 KB, patch)
2019-10-24 06:43 UTC, Vinícius Zavam
no flags Details | Diff
[PATCH] devel/kronosnet: update 1.3 to 1.13, builds against openssl11 and libressl (12.48 KB, patch)
2019-10-27 11:02 UTC, Vinícius Zavam
no flags Details | Diff
[PATCH] devel/kronosnet: update 1.3 to 1.13, builds against openssl11 (base, or ports) and libressl (13.39 KB, patch)
2019-10-27 16:25 UTC, Vinícius Zavam
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vinícius Zavam freebsd_committer 2019-10-23 20:41:02 UTC
Created attachment 208542 [details]
[PATCH] devel/kronosnet: update 1.3 to 1.13, builds against openssl11 and libressl

testport OK.
Comment 1 Vinícius Zavam freebsd_committer 2019-10-24 06:43:52 UTC
Created attachment 208550 [details]
[PATCH] devel/kronosnet: update 1.3 to 1.13, builds against openssl11 and libressl

  * considering __FreeBSD_Version (OSVERSION) from https://www.freebsd.org/doc/en/books/porters-handbook/versions-12.html;
  * renaming OpenSSL extra patch to reflect standard;
  * no need to use 'pre' and 'post' includes.

still builds fine on FreeBSD 11 and above.
Comment 2 Vinícius Zavam freebsd_committer 2019-10-25 09:13:26 UTC
patches and issues also reported to upstream;
https://github.com/kronosnet/kronosnet/issues/269
Comment 3 Vinícius Zavam freebsd_committer 2019-10-27 11:02:15 UTC
Created attachment 208629 [details]
[PATCH] devel/kronosnet: update 1.3 to 1.13, builds against openssl11 and libressl

updated patch, following upstream changes. works for 11, 12, and HEAD
Comment 4 Vinícius Zavam freebsd_committer 2019-10-27 16:25:37 UTC
Created attachment 208636 [details]
[PATCH] devel/kronosnet: update 1.3 to 1.13, builds against openssl11 (base, or ports) and libressl

sync patch with latest version; works fine with OpenSSL from base or ports, and LibreSSL as well.

testport OK for 11, 12, and HEAD.

tested LibreSSL (on all releases) with:

# grep -i ssl /etc/make.conf 
DEFAULT_VERSIONS+=      ssl=libressl
        
# ldd /usr/local/lib/kronosnet/crypto_openssl.so 
/usr/local/lib/kronosnet/crypto_openssl.so:
        libcrypto.so.45 => /usr/local/lib/libcrypto.so.45 (0x801003000)
        libc.so.7 => /lib/libc.so.7 (0x800248000)
        libthr.so.3 => /lib/libthr.so.3 (0x800662000)

Obtained from: https://github.com/kronosnet/kronosnet/pull/270/commits/04be484f53f7da59d83aaa4ef9058b8474c01477
Comment 5 Vinícius Zavam freebsd_committer 2019-11-22 11:37:05 UTC
ping? any objections on me getting it committed?
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-22 11:40:23 UTC
^Triage: Reporter is committer, assign accordingly

@Vinícius maintainer timeouts are measured from the date of the last proposed change. In this case, attachment 208636 [details] (dated 2019-10-27), is now almost 4 weeks old
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-22 11:41:32 UTC
Comment on attachment 208636 [details]
[PATCH] devel/kronosnet: update 1.3 to 1.13, builds against openssl11 (base, or ports) and libressl

Approved by: portmgr (maintainer timeout: 4 weeks)

Pending QA

@Vinícius Feel free to do this ( set maintainer-approval with the above comment), on future issues you report with patches that reach maintainer timeout
Comment 8 commit-hook freebsd_committer 2019-11-29 14:25:26 UTC
A commit references this bug:

Author: egypcio
Date: Fri Nov 29 14:25:07 UTC 2019
New revision: 518653
URL: https://svnweb.freebsd.org/changeset/ports/518653

Log:
  devel/kronosnet: Update to 1.13 (Builds against openssl11 and libressl)

  PR:		241445
  Approved by:	portmgr (maintainer timeout: 4 weeks)
  Obtained from:	https://github.com/kronosnet/kronosnet/issues/269

Changes:
  head/devel/kronosnet/Makefile
  head/devel/kronosnet/distinfo
  head/devel/kronosnet/files/extra-patch-ssl-libressl-configure.ac
  head/devel/kronosnet/files/patch-Makefile.am
  head/devel/kronosnet/files/patch-configure.ac
  head/devel/kronosnet/files/patch-libknet_common.c
  head/devel/kronosnet/files/patch-libknet_crypto__openssl.c
  head/devel/kronosnet/pkg-plist